Package ru.bitel.bgbilling.kernel.bgsecure.server.bean

# Class BGSQueryLogEntry.Builder

java.lang.Object
ru.bitel.bgbilling.kernel.bgsecure.server.bean.BGSQueryLogEntry.Builder

Enclosing class:
  `BGSQueryLogEntry`

public static class BGSQueryLogEntry.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BGSQueryLogEntry`
  `build()`
  `BGSQueryLogEntry.Builder`
  `setActionId(String actionId)`
  `BGSQueryLogEntry.Builder`
  `setActionTitle(String actionTitle)`
  `BGSQueryLogEntry.Builder`
  `setContractId(int contractId)`
  `BGSQueryLogEntry.Builder`
  `setContractTitle(String contractTitle)`
  `BGSQueryLogEntry.Builder`
  `setModuleId(String moduleId)`
  `BGSQueryLogEntry.Builder`
  `setModuleName(String moduleName)`
  `BGSQueryLogEntry.Builder`
  `setQueryString(String queryString)`
  `BGSQueryLogEntry.Builder`
  `setRemoteAddr(String remoteAddr)`
  `BGSQueryLogEntry.Builder`
  `setUserId(int userId)`
  `BGSQueryLogEntry.Builder`
  `setUserName(String userName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setUserId

    public BGSQueryLogEntry.Builder setUserId(int userId)

  - ### setRemoteAddr

    public BGSQueryLogEntry.Builder setRemoteAddr(String remoteAddr)

  - ### setContractId

    public BGSQueryLogEntry.Builder setContractId(int contractId)

  - ### setActionTitle

    public BGSQueryLogEntry.Builder setActionTitle(String actionTitle)

  - ### setActionId

    public BGSQueryLogEntry.Builder setActionId(String actionId)

  - ### setQueryString

    public BGSQueryLogEntry.Builder setQueryString(String queryString)

  - ### setModuleId

    public BGSQueryLogEntry.Builder setModuleId(String moduleId)

  - ### setContractTitle

    public BGSQueryLogEntry.Builder setContractTitle(String contractTitle)

  - ### setUserName

    public BGSQueryLogEntry.Builder setUserName(String userName)

  - ### setModuleName

    public BGSQueryLogEntry.Builder setModuleName(String moduleName)

  - ### build

    public BGSQueryLogEntry build()